# Class NativeLookup

java.lang.Object
com.codename1.system.NativeLookup

public final class NativeLookup extends Object

Creates an instance of the native interface which will call the underlying platform using the convention documented in the package docs. To understand more about native interfaces you can check out this quick "How Do I?" tutorial.

Alternatively you can dig deeper into this tutorial for integrating 3rd party native libraries.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static <T extends NativeInterface>
  T`
  `create(java.lang.Class<T> c)`
  Creates an instance of the given native interface and returns it for user callbacks.
  `static boolean`
  `isVerbose()`
  Indicates whether stack traces should be printed when lookup fails
  `static void`
  `register(java.lang.Class ni, java.lang.Class cls)`
  Do NOT invoke this method.
  `static void`
  `setVerbose(boolean aVerbose)`
  Indicates whether stack traces should be printed when lookup fails

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### isVerbose

    public static boolean isVerbose()

    Indicates whether stack traces should be printed when lookup fails

    ###### Returns

    the verbose

  - ### setVerbose

    public static void setVerbose(boolean aVerbose)

    Indicates whether stack traces should be printed when lookup fails

    ###### Parameters

    - `aVerbose`: the verbose to set

  - ### create

    public static <T extends NativeInterface> T create(java.lang.Class<T> c)

    Creates an instance of the given native interface and returns it for user callbacks.

    ###### Parameters

    - `c`: the class of the NativeInterface sub interface

    ###### Returns

    Returns:
      an instance of that interface that can be invoked or null if the native interface isn't present on the underlying platform (e.g. simulator platform).

  - ### register

    public static void register(java.lang.Class ni, java.lang.Class cls)

    Do NOT invoke this method. This method is invoked internally by the stub to register the implementation class that matches a specific interface type.

    ###### Parameters

    - `ni`: the native interface

    - `cls`: the stub class matching said interface